# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/light/vishay,veml6046x00.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Vishay VEML6046X00 High accuracy RGBIR color sensor

maintainers:
  - Andreas Klinger <ak@it-klinger.de>

description:
  VEML6046X00 datasheet at https://www.vishay.com/docs/80173/veml6046x00.pdf

properties:
  compatible:
    enum:
      - vishay,veml6046x00

  reg:
    maxItems: 1

  vdd-supply: true

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - vdd-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        color-sensor@29 {
            compatible = "vishay,veml6046x00";
            reg = <0x29>;
            vdd-supply = <&vdd_reg>;
            interrupt-parent = <&gpio2>;
            interrupts = <3 IRQ_TYPE_EDGE_FALLING>;
        };
    };
...
